import { STORE_KEY } from './enum'
import { Helpers } from './helper'

export default class UserHelper {
  #user

  constructor() {
    this.#user = Helpers.decrypt(localStorage.getItem(STORE_KEY))
  }

  get isAdmin() {
    return this.#user?.userInfo?.isAdmin
  }
}
